@RomanSamets
C++, C, assembler, CS

Чтоб установить старую версию компилятора нужно ли удалять предыдущую?

На данный момент у меня стоит GCC 10.3.0, но Clion 2019 говорит, что поддерживает GCC от 7.x.x и до 8.x.x. Нужно ли мне поставить старую коллекцию компиляторов и если да, то удалять текущую версию или нет? или и так сойдет.
Заранее спасибо и извините за тупой вопрос.
  • Вопрос задан
  • 63 просмотра
Решения вопроса 1
@Alexey_Sharapov
Удалять новую версию не надо. Если работаешь под linux просто используй update-alternatives.

P.S. Про Clion вопрос не понятен. У тебя система сборки Cmake, всё должно работать и с новыми версиями компилятора. Единственное что может быть - Clion будет неправильно подсвечивать рабочий код, так как ты юзаешь новые builtin'ы, например.
Ответ написан
Комментировать
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы